2020-12-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  2.42.2

2020-12-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  pango/pangomm.h: Show how to use pangomm when building with Meson

2020-10-01  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: Fix versioning on macOS

  See libsigcplusplus, pull request 65

2020-08-31  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Fix gendef invocation

  We ought to pass in the DLL filename with the '.dll' extension to gendef, not
  just the .lib filename.

2020-07-23  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Use Meson-style DLL and .lib naming if requested

  To make things more consistent and less prone to confusion, if 'USE_MESON_LIBS'
  is specified in the NMake command line, build the DLLs and .lib's that are
  named like the Meson counterparts.  Binaries built with Meson+Visual Studio
  and the ones that are built via NMake using 'USE_MESON_LIBS' are
  interchangeable, provided that they are built with the same Visual Studio
  version.

2020-07-22  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Fix generating pangomm[config.h|.rc]

  The previous additions to generate those files accidentally made the build
  attempt to generate them, even if done from a release tarball that is done by
  the autotools builds.
  
  This will fix this situation, and improve the situation that if pangomm.rc or
  pangommconfig.h needs to be generated, these files will be generated
  automatically

2020-07-08  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Fix headers search

  We ought to look in $(PREFIX)\include\harfbuzz and $(PREFIX)\include, as the
  HarfBuzz and Cairo headers can be found in these respective locations.

2020-07-08  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Support ARM64 Windows builds

  This will make the NMake Makefiles capable of building ARM64 binaries of
  pangomm, which can be used on Windows 10 on ARM systems.

2020-06-30  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Fix previous commit

  We should also account for Visual Studio 2015 when we use 'USE_MESON_LIBS' with
  'USE_COMPAT_LIBS' as well...

2020-06-30  Chun-wei Fan  <fanchunwei@src.gnome.org>

  README.win32: Update Meson build info

  It is now possible to build Pango directly from a GIT checkout on Visual Studio
  builds for a while, so let people know about this.
  
  Also note that glibmm and cairomm should be built with Meson in order to use the
  Meson build files for pangomm, and one should also use the same compiler to
  build pangomm, glibmm and cairomm.

2020-06-30  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Use the /utf-8 compiler flag

  This makes it easier to build pangomm on non-Western locales, without requiring
  to change the "Locale settings for non-Unicode programs" to English, which will
  require a restart, since warning (error) C4819 can be otherwise triggered, which
  can indicate broken builds due to Unicode handling issues in the compiler.

2020-06-30  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Apply toolset version for Meson-built deps

  As the Meson build files for Visual Studio apply the toolset version in the
  .lib filenames by default, apply the toolset version in the Meson-built -mm
  .lib files that we link in, just as we did when we we link in the -mm .lib
  files that was built with NMake, by default.
  
  The option 'USE_COMPAT_LIBS' will also mean that we will use the former
  behavior when we link in the Meson-built -mm .lib's, just as we did when we
  link in the NMake-built -mm .lib's.

2020-06-29  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  docs/reference/: Update for Doxygen >= 1.8.16

  * docs/reference/meson.build: Doxygen 1.8.16 and later does not store
  tag file names in the html files. This requires changes in meson.build
  and in doc-install.pl (in mm-common). Otherwise references to other modules
  won't be updated in the html files when they are installed.
  * docs/reference/Doxyfile.in: Remove PERL_PATH and MSCGEN_PATH.
  Doxygen since version 1.8.0 does not use them.

2020-06-29  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Meson/Visual Studio builds: Include toolset version by default

  This makes the built DLL and .lib's contain the toolset version if the build is
  carried out using Visual Studio 2015 or later, unless the
  'msvc14x-parallel-installable' option is set to be false during configuration.
  
  The reasoning behind this change is that there can be subtle problems when, for
  instance, one tries to link to a Visual Studio 2015-built pangomm when building
  items dependening on pangomm with Visual Studio 2017 or 2019.  This is
  unfortunate as Microsoft did try hard to make interoperating between binaries
  built with Visual Studio 2015, 2017 and 2019 as easy as possible in terms of ABI
  and API, but unfortunately this can hit the corner cases where this
  compatibility does not work.
  
  As the name suggests, this attempts to make Visual Studio 2015, 2017 and 2019
  builds share a single set of underlying C DLLs easier, while avoiding breakages
  caused by such subtle differences.

2020-06-29  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Meson: Use pkg-config to find glibmm and cairomm for all builds

  Stop manually looking for glibmm and cairomm for better consistency, as:
  
  -Items that depended on glibmm which added Meson build support after glibmm,
   such as gtkmm and libxml++ also required glibmm to be found via pkg-config
   files, and they still had NMake Makefile support for Visual Studio builds.
   For items that use cairomm directly, this will be the case as well.
  -There could be corner cases on the glibmm and cairomm libraries that pangomm
   links to in  terms of ABI compatibility between Visual Studio 2015, 2017 and
   2019.

2020-06-16  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Distinguish between MSVC 2015, 2017 and 2019

  It was found that we cannot rely on the fact that Visual Studio
  2015~2019 tried very hard to be binary compatible, as there can be
  corner cases when linking against pangomm built with Visual Studio 2015
  with builds done by Visual Studio 2017 and 2019 where the code will fail to
  link and the DLLs are therefore not ABI-compatible.  Note that the
  libsigc++ DLLs, however, are ABI compatible between these 3 Visual
  Studio versions.
  
  As a result, for the DLL and LIB names, use 'vc140' for Visual Studio
  2015 builds, 'vc141' for Visual Studio 2017 builds and 'vc142' for
  Visual Studio 2019 builds, according to the toolset versions as defined
  by Microsoft.
  
  For people that may have previously built pangomm with Visual Studio 2017
  or 2019, which had 'vc140' in the built .lib and DLL, an NMake option
  'USE_COMPAT_LIBS' is added to make building such binaries with 'vc140'
  easier, if needed.

2020-05-05  Chun-wei Fan  <fanchunwei@src.gnome.org>

  meson: Clean up Visual Studio bits

  Streamline how we look for the dependencies manually, by using the
  'has_headers:' attribute of cpp_compiler.find_library(), so that we can
  check for the presence of the headers at the same time as looking for
  the glibmm, cairomm and/or libsigc++ headers.

2020-05-05  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Meson: Ignore warning C4275 on Visual Studio

  Since we are basically using __declspec(dllimport) from dependent
  -mm libraries that are on the same CRT, we could just disregard this
  warning.

2020-05-05  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Meson/Visual Studio: Support cairomm lookup using pkg-config

  cairomm recently received Meson build support, which will generate the
  pkg-config files for us, so try to look for cairomm first using
  pkg-config, before looking for it manually.
  
  Since cairomm's pkg-config file also pulls in libsigc++, we can also
  skip looking for libsigc++ if we found cairomm via pkg-config.

2020-05-05  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Support Meson-built cairomm

  Allow linking directly to Meson-built cairomm when using the
  USE_MESON_LIBS option when running NMake.

2020-04-28  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  pango/meson.build: Minor fix of pangomm-1.4.pc

  libdir=${exec_prefix}/lib, as when it's generated with Autotools.

2020-04-11  Chun-wei Fan  <fanchunwei@src.gnome.org>

  pango/src/fontdescription.hg: Mark operators with PANGOMM_API

  We are using a _WRAP_EQUAL here which generates operator== and
  operator!= overloads that actually need to be exported.  So, pass in a
  function decorator to _WRAP_EQUAL

2020-04-07  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: If not maintainer-mode, check that generate-binding.py exists

  Trying to build with maintainer-mode=false from a tarball generated with
  Autotools will fail with a proper error message.
  Fixes #6

2020-04-07  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: Set default value of the 'warnings' option to 'min'

  And add 'dist-warnings' with default value 'fatal'. It's used when a
  tarball is tested by 'ninja dist' or 'meson dist'.
  https://mail.gnome.org/archives/gtkmm-list/2020-March/msg00025.html
  
  Add a better error message if mm-common-get is required but not found.

2020-04-07  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: Avoid some recompilations, and other changes

  * MSVC_NMake/filelist.am: Remove pangomm/copy-pangommconfig-h.py.
  * MSVC_NMake/pangomm/copy-pangommconfig-h.py: Removed file.
  * MSVC_NMake/pangomm/meson.build: Copy pangommconfig.h with configure_file().
  * Makefile.am: Distribute tools/dummy-header.py instead of tools/dist-cmd.py.
  * docs/reference/meson.build: Rename a variable.
  * meson.build: Rename some variables. Always set gmmproc_dir.
  In maintainer-mode, show its value in the summary.
  * pango/meson.build: Set pangommconfig_h.
  * pango/pangomm/meson.build: Create dummy_header.h, depending on all
  generated headers. It guarantees that all generated headers are built
  before pangomm_library is built, at the same time avoiding unnecessary
  recompilations.
  * tools/dist-cmd.py: Removed file. It's not necessary in add_dist_script()
  when the first parameter is python3.path().
  * tools/dummy-header.py: New file.
  * untracked/README: Mention check-dllexport-usage.py.

2020-04-04  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Detect whether we can use __declspec(dllexport)

  The generated pangomm headers must be generated with a recent gmmproc so
  that we may ensure that all the needed classes, functions and methods
  are marked with PANGOMM_API, so that we can build pangomm without using
  gendef.exe.
  
  If the headers are generated with an older gmmproc, then we build
  pangomm using gendef.exe, as we did before.

2020-04-04  Chun-wei Fan  <fanchunwei@src.gnome.org>

  meson.build: Build pangomm as a shared lib if possible

  Make the build files directly build pangomm as a shared library on:
  -All non-Visual Studio builds, as we did initially.
  -Visual Studio builds that have the headers generated from their .hg
   counterparts with gmmproc 2.64.3 or later.  gmmproc 2.64.3 has the
   updates that are necessary to have the generated headers contain build
   macros that could be used to export symbols using compiler directives.
   If it is found that an older gmmproc is being used, fall back to use
   gendef.exe, as we did before, by defining PANGOMM_USE_GENDEF.

2020-04-02  Chun-wei Fan  <fanchunwei@src.gnome.org>

  pango/src/*.hg: Mark _WRAP_ENUM with decl_prefix

  This way, with the updated gmmproc, we can export the template<> classes
  using PANGOMM_API as well.

2020-04-02  Chun-wei Fan  <fanchunwei@src.gnome.org>

  pango/pangomm/*.h: Decorate APIs with PANGOMM_API

  This prepares for the export of symbols using compiler directives rather
  than using gendef.exe.

2020-04-02  Chun-wei Fan  <fanchunwei@src.gnome.org>

  pango/src/*.hg: Decorate classes and functions with PANGOMM_API

  This prepares for using compiler directives to export symbols rather
  than using gendef.exe.

2020-04-02  Chun-wei Fan  <fanchunwei@src.gnome.org>

  pango/pangommconfig.h.*: Add PANGOMM_API

  This prepares for decoration of the various APIs in pangomm so that we
  can export symbols at least on Visual Studio buids using compiler
  directives, without the need of gendef.exe, if the headers were
  generated from their respective *.hg counterparts with gmmproc 2.64.0 or
  later.

2020-03-30  Chun-wei Fan  <fanchunwei@src.gnome.org>

  meson.build: Use /utf-8 in Visual Studio builds

  ...if it is available.  Also disable warning C4828 as we will get that warning
  when building gendef.exe with /utf-8.

2020-03-30  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Silence warnings with latest glibmm stable

  The glibmm headers (and pangomm headers in the near future) use compiler
  directives to control symbol export, so we can safely ignore warnings
  C4251 and C4275 as we are certain that we are indeed using these
  compiler directives to import (and later, export) symbols in our builds.

2020-03-30  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Look also for headers in untracked/

  This way, we fix the NMake builds from Meson-generated dist tarballs.

2020-03-30  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Fix build instruction info display

  Make up the missing escape carats...

2020-03-21  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  2.42.1

2020-03-21  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  README: Describe building with Meson and Autotools

2020-03-12  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Support Meson-built glibmm

  Add the correct naming for the DLLs and .lib's for glibmm that is built
  with Meson.

2020-03-10  Chun-wei Fan  <fanchunwei@src.gnome.org>

  meson: Ignore warning C4251 on MSVC builds

  We might be building against glibmm that is built with
  __declspec(dllexport), meaning that warning C4251 will be generated as
  we are now in-turn using __declspec(dllimport).  We can just ignore this
  compiler warning, since we are pretty sure what we are doing at this
  point.

2020-03-10  Chun-wei Fan  <fanchunwei@src.gnome.org>

  meson.build: Look for glibmm with pkg-config on MSVC too

  glibmm gained Meson build support for Visual Studio, so we can first
  try to look for glibmm with pkg-config first, and then fall back to
  manual searching if that cannot be found.
  
  Note that libsigc++ also has a Meson build system as well, but either we
  look for it via glibmm's pkg-config files, or we look for both glibmm
  and libsigc++ manually.
  
  Also support looking for Meson-built libsigc++ .lib's as well if glibmm
  is to be looked for manually.

2020-03-10  Chun-wei Fan  <fanchunwei@src.gnome.org>

  meson: Build generate_extra_defs with Visual Studio too

  The NMake Makefiles in glibmm now builds glibmm_generate_extra_defs-2.x.lib,
  so we can make use of it to build generate_extra_defs on Visual Studio too.

2020-03-10  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Meson: Allow maintainer builds on Visual Studio too

  glibmm recently gained the ability to build with Visual Studio from a GIT
  checkout and to install the PERL scripts used to generate the C++ sources from
  the respective templates, so enable this support for pangomm as well as the
  needed infrastructure are largely in place.
  
  Note that a new configuration option has been added for Visual Studio builds
  to specify the directory for gmmproc, since there is not yet Meson build
  support for building glibmm, meaning glibmm built with Visual Studio does not
  support generating pkg-config files.
  
  Since some portions that we use for non-maintainer builds can be used for
  maintainer builds as well, make them shared to keep additions minimal.

2020-03-10  Chun-wei Fan  <fanchunwei@src.gnome.org>

  pango/src/color.hg: Fix call to _CLASS_BOXEDTYPE_STATIC

  Remove all the parameters after the second one, they were originally ignored
  as _CLASS_BOXEDTYPE_STATIC accepted 2 arguments and will cause issues with
  the new api_decoration stuff that was recently added to glibmm, which was the
  third argument

2020-02-27  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Support using Meson-built dependencies

  Add NMake commandline option to use Meson-built libraries so that one will not
  need to update the Makefiles to use them.

2020-02-27  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Also install the m4 files

  This way other projects may make use of these to generate the sources

2020-02-27  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Separate outdir and intdir by toolset version

  This reduces the chances of builds by different Visual Studio versions become
  mixed up with other versions, and makes the build tree cleaner.  Note that
  Visaul Studio 2015 through 2019 are treated as the same toolset version since
  they link to the same CRT.

2020-02-27  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Allow builds from a GIT checkout

  ...or a Meson-generated release tarball.
  
  Add targets to the NMake Makefiles which will allow:
  
  -Generating MSVC_NMake/pangomm/pangommconfig.h and
   MSVC_NMake/pangomm/pangomm.rc, needed for GIT checkouts and
   Meson-generated release tarballs
  
  -Generating the sources that need to be generated with gmmproc and
   generate_wrap_init.pl, needed for GIT checkouts, and fix installation
   accordingly.
  
  -Look for sources also in $(srcroot)/untracked, which will be the case
   for Meson-generated release tarballs.

2020-02-27  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Add rules to generate pre-configured items

  This will generate the pangomm.rc and pangommconfig.h files, which are needed
  for a Visual Studio build.  This will make builds from a GIT checkout
  easier with NMake.

2020-01-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: Improve internal dependencies

  * docs/reference/meson.build: Less difference between maintainer-mode and
  not maintainer-mode.
  * pango/pangomm/meson.build: Make separate lists of built .h files and
  built .cc files.

2020-01-02  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  docs/reference/meson.build: Check if perl is found

  Don't use perl.path() when configuring Doxyfile, if perl is not found.
  Perl is not required, if build-documentation=false.
  See https://github.com/libsigcplusplus/libsigcplusplus/issues/53

2019-12-27  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Check if .git is a directory or file

  In a git worktree, .git is a regular file.
  
  See MR !8 (Ting-Wei Lan)

2019-11-09  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build files: Fix references to other modules

  * docs/reference/meson.build: Use tag files from sigc++-2.0, glibmm-2.4
  and cairomm-1.0.
  * tools/extra_defs_gen/meson.build: Use the generate_extra_defs library
  from glibmm-2.4.
  
  These files had been copied from the master branch but not enough modified.
  See https://mail.gnome.org/archives/gtkmm-list/2019-November/msg00001.html

2019-11-04  Chun-wei Fan  <fanchunwei@src.gnome.org>

  README.win32: Update info on MSVC builds

  C++11 versions of pangomm support Visual Studio 2013 or later, so ensure
  the right info is conveyed here.  Note that Meson does not have a
  project generator backend for Visual Studio 2013, but does have project
  generator backends for 2015, 2017 and 2019.

2019-11-04  Chun-wei Fan  <fanchunwei@src.gnome.org>

  meson: Relax Visual Studio check to 2013

  We are able to build the C++-11 version of pangomm on Visual Studio 2013
  or later, so check for that.
  
  However, since the C++-11 support in Visual Studio is made complete in
  VS 2015, display a warning message to configure the build without
  warnings being fatal, as 2013 builds will spew compiler warnings.
  
  Also, for the C++-11 versions of glibmm, cairomm and sigc++, we don't
  distinguish between whether they are built by Visual Studio 2015, 2017
  nor 2019, so we assume that they will all link to the same .lib's for
  glibmm, cairomm and sigc++, since they should all be compatible in this
  case.  In this case, Meson will warn about C++11 is not supported, but
  it is safe to ignore this warning.

2019-11-03  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Add support for building pangomm with Meson

  pangomm-1.4 can be built with either Autotools or Meson.
  New and modified files have been copied from the master branch.
  Version info in meson.build, README.win32 and untracked/README has been
  updated to fit pangomm-1.4.
  
  See MR !7

2019-07-28  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  tools: Remove obsolete files

  * tools/Makefile.am: Don't distribute README.
  * tools/Makefile_list_of_sources.am_fragment: Remove, not used.
  * tools/README:
  * tools/TODO: Remove, once copied from glibmm, don't belong to pangomm.

2019-07-22  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Layout::get_lines(): Fix ownership of the GSList

  Change Glib::OWNERSHIP_SHALLOW -> NONE

2019-07-22  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Coverage: Ignore deprecations

  pango_coverage_from_bytes(), pango_coverage_to_bytes() and
  pango_coverage_max() are deprecated in pango 1.43, but not in pangomm 2.42.
  Suppress deprecation warnings to make it possible to build pangomm 2.42
  with the newest version of pango.

2018-12-30  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  tools/gen_scripts: Update for non-source-dir builds

  Most modules (e.g. pango) can be built in a directory separated from the
  source directory. Update the scripts that generate .defs and doc.xml files
  to handle that.
  The environment variable JHBUILD_SOURCES is not used any more.
  Instead the environment variables GMMPROC_GEN_SOURCE_DIR and
  GMMPROC_GEN_BUILD_DIR are read. See comments in init_generate.sh.

2018-11-05  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  2.42.0

2018-11-05  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  FontDescription: Add set/get_variations()

2018-11-05  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Attribute: Add several create_attr_*() methods

  * pango/src/attributes.[ccg|hg]: Add create_attr_size_absolute(),
  create_attr_underline_color(), create_attr_strikethrough_color(),
  create_attr_fallback(), create_attr_letter_spacing(),
  create_attr_gravity(), create_attr_gravity_hint(),
  create_attr_font_features(). Fixes #2

2018-11-05  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Regenerate .defs and docs.xml files

2018-11-05  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Add tools/gen_scripts/generate_all.sh

2018-11-05  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  2.40.2

2018-10-29  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Update .gitignore

  The Visual Studio build files is now under MSVC_NMake, not MSVC_201x.

2018-10-26  Chun-wei Fan  <fanchunwei@src.gnome.org>

  build: Remove Visual Studio 2013 projects

  Since they have been superseded by the NMake Makefiles, it is time to
  remove them.

2018-10-26  Chun-wei Fan  <fanchunwei@src.gnome.org>

  build: Add NMake Makefiles

  This adds a set of NMake Makefiles, which will replace the Visual Studio
  2013 projects so that the Visual Studio build files are more flexible
  and easier to maintain.
  
  Note that since this is the C++-11 version of pangomm, for Visual Studio
  2015 and 2017, since they both link to the v140 Windows C/C++ runtime
  DLLs, the pangomm DLL and .lib are named as pangomm-vc140-1_4.[dll|lib]
  or pangomm-vc140-d-1_4.[dll|lib], since these builds can interop.

2018-10-26  Chun-wei Fan  <fanchunwei@src.gnome.org>

  build: Split out automake'isms out from filelist.am's

  This is so that the NMake Makefiles can consume them as well.

2018-10-26  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  configure.ac: Update bug report address

2018-09-07  Chun-wei Fan  <fanchunwei@src.gnome.org>

  builds: Rename MSVC_Net2013 to MSVC_NMake

  This is to prepare the transition of the Visual Studio build files
  to NMake Makeflies.

2017-09-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Update .gitignore

2017-09-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  GlyphString: Remove some functions from _IGNORE()

2017-09-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Add PangoCoverage to pango_extra_objects.defs

2017-09-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  tools/gen_scripts/: Update for pango built with meson

  When pango is built with meson instead of autotools, generated .h and .c
  files are stored in pango/build/pango. Files in that directory shall be read
  when pango_docs.xml and the .defs files are generated.
  
  Don't read private and internal .h files.

2017-01-04  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Visual Studio builds: "Install" .pdb files

  Since we already generate the .pdb files during the build, make better use
  of them so that we could debug easier.  Also clean up the property sheet
  by removing extra blank lines.

2016-08-19  Murray Cumming  <murrayc@murrayc.com>

  2.40.1

2016-07-19  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Build: Fix silent builds

  * configure.ac: Pass yes to AM_SILENT_RULES, thus enabling silent builds.
  Replace MM_AX_CXX_COMPILE_STDCXX_11 by MM_AX_CXX_COMPILE_STDCXX (not necessary
  for silent builds).
  * docs/reference/Doxyfile.in: Set QUIET=YES.
  Update for doxygen 1.8.11 (not necessary for silent builds).
  Bug #768797

2016-04-10  Murray Cumming  <murrayc@murrayc.com>

  C++11: AttrIter, AttrList, Color: Make operator bool() explicit.

  See https://bugzilla.gnome.org/show_bug.cgi?id=626858#c4

2016-03-28  Murray Cumming  <murrayc@murrayc.com>

  2.40

2016-03-28  Murray Cumming  <murrayc@murrayc.com>

  Regenerate docs.xml files.

2016-03-28  Murray Cumming  <murrayc@murrayc.com>

  Regenerate .defs.

2016-03-28  Murray Cumming  <murrayc@murrayc.com>

  Depend on latest glibmm-2.4

  To use the latest gmmproc.

2015-11-29  Murray Cumming  <murrayc@murrayc.com>

  2.39.1

2015-11-29  Murray Cumming  <murrayc@murrayc.com>

  Depend on a recent glibmm

  To use the latest gmmproc.

2015-11-29  Murray Cumming  <murrayc@murrayc.com>

  Renderer: Add get/set_alpha().

  Wrapping pango_renderer_get/set_alpha(), which is new API
  in pango 1.38.

2015-11-29  Murray Cumming  <murrayc@murrayc.com>

  Attributes: Add create_attr_foreground/background_alpha().

  Wrapping new API in pango.

2015-11-29  Murray Cumming  <murrayc@murrayc.com>

  Regenerate docs.xml file.

2015-11-29  Murray Cumming  <murrayc@murrayc.com>

  Regenerate .defs files.

2015-10-27  Murray Cumming  <murrayc@murrayc.com>

  --enable-warnings=fatal: Use the same warnings as glibmm and gtkmm.

2015-09-23  Murray Cumming  <murrayc@murrayc.com>

  Reduce the cairomm dependency back to 1.2.2.

  Because it probably works, and this is kinder.
  Bug #755460 (Daniel Stone)

2015-09-22  Murray Cumming  <murrayc@murrayc.com>

  2.38.1

2015-09-21  Murray Cumming  <murrayc@murrayc.com>

  2.38.0

2015-09-17  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Update .gitignore for MSVC-specific Items

2015-09-10  Chun-wei Fan  <fanchunwei@src.gnome.org>

  MSVC Builds: Improve Build Speed and Debugging Experience

  Use multiprocessor compilation, which can cut down build times by quite a
  bit, and use /d2Zi+ to put more useful info into the .pdb's in release
  builds.

2015-09-10  Chun-wei Fan  <fanchunwei@src.gnome.org>

  MSVC Builds: Support only Visual Studio 2013 (and later)

  The current pangomm code base now requires C++-11 support, which is only
  supported well enough by Visual Studio 2013 and later, so:
  
  -Update the Visaul Studio 2010 projects to be in 2013 format, and rename
   things as needed.
  -Remove the Visual Studio 2005/2008 projects
  -Update the README.win32 file to reflect on these changes.

2015-09-03  Murray Cumming  <murrayc@murrayc.com>

  2.37.2

2015-08-22  Murray Cumming  <murrayc@murrayc.com>

  configure.ac: Require the latest glibmm.

  To use the latest gmmproc, which generates more move operations,
  and to have the latest Glib::Object/ObjectBase/Interface which have
  move operations that those generated move operations call.

2015-08-22  Murray Cumming  <murrayc@murrayc.com>

  C++11: Mark all _CLASS_OPAQUE_REFCOUNTED classes as final.

  Because _CLASS_OPAQUE_REFCOUNTED already generates a comment
  telling us not to derive from them, presumably because they can
  only be instantiated by reinterpret_cast<>ing a base C struct.
  
  Ideally, _CLASS_OPAQUE_REFCOUNTED would add the final keyword,
  but the class line is is not generated, so that would be a little
  difficult.

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

  2.37.1

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

  Regenerate pango_docs.xml

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

  Regenerate pango_methods.defs.

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

  Regenerate pango_enums.defs

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

  Require the latest glibmm.

  For the latest gmmproc.

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

  configure.ac: Use MM_AX_CXX_COMPILE_STDCXX_11() from mm-common.

  Instead of a copy of AX_CXX_COMPILE_STDCXX_11().

2015-07-11  Murray Cumming  <murrayc@murrayc.com>

  Require C++11.

  configure.ac: Use AX_CXX_COMPILE_STDCXX_11 to check for compiler
  support for C++11 and use it (--std=c++11 for current versions of
  g++).
  
  Among other reasons, this is because glibmm now requires C++11,
  and its gmmrpoc generates C++11 code.

2015-06-30  Maks Naumov  <maksqwe1@ukr.net>

  Attribute: fix operator!=

  Bug #751531

2015-03-24  Murray Cumming  <murrayc@murrayc.com>

  2.36.0

2015-02-04  Murray Cumming  <murrayc@murrayc.com>

  1.35.1

2015-02-04  Murray Cumming  <murrayc@murrayc.com>

  FontMap: Added get_serial().

2015-02-04  Murray Cumming  <murrayc@murrayc.com>

  Context: Add get_serial().

2015-02-04  Murray Cumming  <murrayc@murrayc.com>

  Layout: Add get_character_count() and get_serial().

2015-02-04  Murray Cumming  <murrayc@murrayc.com>

  Doxyfile: Make this more like the latest Doxyfile.in in gtkmm.

  Just to make sure that we are consistent.

2015-02-04  Murray Cumming  <murrayc@murrayc.com>

  Doxyfile: Remove obsolete (according to doxygen warnings) lines.

2015-02-04  Murray Cumming  <murrayc@murrayc.com>

  Regenerate _docs.xml file.

2015-02-04  Murray Cumming  <murrayc@murrayc.com>

  Regenerate methods .defs file.

2015-02-04  Murray Cumming  <murrayc@murrayc.com>

  Regenerate enums .defs file.

2015-02-04  Murray Cumming  <murrayc@murrayc.com>

  tools/: Add gen_scripts/, as in glibmm and gtkmm.

  This makes it easier to regenerate the .defs and _docs.xml files.

2014-09-22  Chun-wei Fan  <fanchunwei@src.gnome.org>

  MSVC 2008/2010 Projects: Add "Install" Projects

  This adds "install" projects for Visual Studio 2008/2010 builds so that the
  build results can be copied to a common directory together with the
  dependencies, so that testing and packaging will be made easier.
  
  * MSVC_Net2008/pangomm-install.vsprops:
  * MSVC_Net2008/install.vcproj:
  * MSVC_Net2010/pangomm-install.props:
  * MSVC_Net2010/install.vcxproj: Add MSVC projects and property sheets to
    copy build results to a common directory under the root build directory.
  * MSVC_Net2008/pangomm.sln:
  * MSVC_Net2010/pangomm.sln: Include the "install" project in the build
    process.
  * MSVC_Net2008/filelist.am:
  * MSVC_Net2010/filelist.am: Include the added projects and property sheets
    in dist.

2014-09-18  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Overhaul The Visual Studio 2010 Projects

  Give the Visual Studio 2010 Projects an overhaul, by using property sheets
  to consolidate commonly-used items, and moving all the projects to
  MSVC_Net2010.  Also stop using the /vd2 compile-time option, as it is more
  harm than help here, since it causes weird crashes.
  
  	* MSVC_Net2010/pangomm-build-defines.props:
  	* MSVC_Net2010/pangomm-version-paths.props: Add property sheet
  	  sheets to consolidate commonly-used items items so that projects
  	  can refer to them, which will help to simplify future
  	  maintenance.
  	* MSVC_Net2010/gendef/gendef.vcxproj:
  	* MSVC_Net2010/gendef/gendef.vcxproj.filters:
  	* MSVC_Net2010/gendef/pangomm.vcxproj:
  	* MSVC_Net2010/gendef/pangomm.vcxproj.filters: Move to
  	  MSVC_Net2010/, and clean up using the property sheets.  Adjust
  	  the source file paths accordingly, and remove the /vd2 compile-
  	  time option as it brings more trouble than help.  Add
  	  PlatformToolset tags so to ease future move to Visual Studio
  	  2012/2013.
  	* MSVC_Net2010/filelist.am:
  	* MSVC_Net2010/pangomm.sln: Update file paths accordingly.

2014-09-17  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Overhaul the Visual Studio 2008 Projects

  Give the Visual Studio 2008 Projects an overhaul, and clean them up in the
  process by consolidating commonly-used items in property sheets, so to ease
  future maintenance.
  
  	* MSVC_Net2008/pangomm-build-defines.vsprops:
  	* MSVC_Net2008/pangomm-version-paths.vsprops: Add property sheets
  	  to group together commonly-used items so that the projects can
  	  refer to them, so to ease future maintenance.
  	* MSVC_Net2008/pangomm/pangomm.vcproj:
  	* MSVC_Net2008/gendef/gendef.vcproj: Move to MSVC_Net2008/ and
  	  clean up using the property sheets, and update the file paths
  	  accordingly.  Stop building blank.cpp, as the IDE recognize the
  	  .cc sources, and stop using the /vd2 option, as it is a source
  	  of weird crashes.
  	* MSVC_Net2008/pangomm.sln:
  	  MSVC_Net2008/filelist.am: Update file paths accordingly.

2014-08-01  Andre Klapper  <a9016009@gmx.de>

  doap: add <programming-language>

2014-07-30  Olav Vitters  <olav@vitters.nl>

  doap category core

2013-09-09  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Update the MSVC Project Files

  * MSVC_Net2005/gendef/gendef.vcproj:
    MSVC_Net2008/gendef/gendef.vcproj:
    MSVC_Net2010/gendef/gendef.vcxproj:
    MSVC_Net2005/pangomm/pangomm.vcproj:
    MSVC_Net2008/pangomm/pangomm.vcproj:
    MSVC_Net2010/pangomm/pangomm.vcxproj: Clean up the project files by
    purging unneeded entries, macros and whitespace.
  
    Also improve on the project files by adding to the
    AdditionalIncludeDirectories and AdditionalLibraryDirectories so that
    they can find and use the deps from a local build directory instead
    of using builds in the global include and libs path.  This is useful when
    we are building an unstable release as unstable releases usually require
    the latest unstable releases of their respective deps, which we do not
    usually want to place where they are used globally.

2013-09-09  Chun-wei Fan  <fanchunwei@src.gnome.org>

  MSVC Solution Files: Use DOS Line Endings
